Subject: Re: hey
From: [email-masked] (Earnie Boyd)

4 Jan 1998 15:39:56 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

>From: BMullenber <[email-masked]>
>Date: Sat, 3 Jan 1998 06:18:13 EST
>To: [email-masked]
>Subject: hey
>
>In a message dated 98-01-02 12:22:50 EST, you write:
>
><< Hi Brandon,
> 
> Try:
> gcc -o hello.exe hello.c
> 
> or
> gcc -c hello.c
> gcc -o hello.exe hello.o >>
>
>Thanks for the help, now i got 1 simple problem.
>
>I am learning from a C++ book by myself.  
>
>The hello program in the book is written
>--------------------------------
>#include <iostream.h>
>
>int main()
>{
>cout << "hello\n";
>return 0
>}

This didn't work because of the missing ";" on return 0

>
>I found out through trial and error that it doesn't work and you need 
to do
>this
>
>--------------------------------
>#include <iostream.h>
>
>void main()
>{
>cout << "hello\n";
>};
>
>now when I try the exe program it works but it quickly closes without 
havng
>barely any time to actually read what it says.  Is there any way for it 
to
>stay open so that i can read it? A command?

Run it from a dos window.  When the program exits the output will still 
be seen.

>

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

Check out these great gnu-win32 related sites:
ftp://ftp.cygnus.com/pub/gnu-win32/latest/           (ftp site)
http://www.cygnus.com/pubs/gnupro/                   (Comercial Page)
http://www.cygnus.com/misc/gnu-win32/                (Project Page)
http://www.cygnus.com/ml/gnu-win32                   (Mail Archives)
http://www.itribe.net/virtunix/winhelp-man-pages/    (HTML Man Pages)
http://www.lexa.ru/sos                               (Sergey Okhapkin)
http://www.fu.is.saga-u.ac.jp/~colin/gcc.html        (Colin Peters)
http://www.xraylith.wisc.edu/~khan/software/gnu-win32/ (Mumit Khan)
http://gnu-win32.paranoia.ru                         (Chuck Bogorad)
ftp://ftp.deninc.com/pub                       (Den Internet Services)

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".